Bug 522128 - Recommended name of vorbis audio files is .oga but oggenc still creates .ogg by default
Summary: Recommended name of vorbis audio files is .oga but oggenc still creates .ogg ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vorbis-tools
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 14:32 UTC by Lennart Poettering
Modified: 2009-10-13 18:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-13 18:11:44 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2009-09-09 14:32:49 UTC
iiuc the recommended suffix for ogg vorbis audio files is .oga these days. However oggenc still creates .ogg by default. This should probably be changed.

Comment 1 Kamil Dudka 2009-09-27 20:56:11 UTC
Thanks for point this out. Where did you find the recommendation? Do you mean RFC 5334?

Comment 2 Lennart Poettering 2009-09-29 02:57:35 UTC
cc'ing monty. Monty, should oggenc create files with a .ogg or .oga suffix by default?

Comment 3 Monty 2009-10-13 17:56:30 UTC
Vorbis files should continue to use .ogg.  Other audio codecs encapsulated in Ogg should move to using .oga.  Oggenc creating Ogg Vorbis files with .ogg is correct behavior.

Comment 4 Kamil Dudka 2009-10-13 18:11:44 UTC
Thanks for explanation! It does not look like a bug to me in that case...


Note You need to log in before you can comment on or make changes to this bug.